package de.avatic.lcc.service.calculation;

import de.avatic.lcc.repositories.NomenclatureRepository;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NomenclatureService {

    private final NomenclatureRepository nomenclatureRepository;

    public NomenclatureService(NomenclatureRepository nomenclatureRepository) {
        this.nomenclatureRepository = nomenclatureRepository;
    }


    public List<String> getNomenclature(String hsCode) {
        return nomenclatureRepository.searchHsCode(hsCode);
    }
}
